### Signal

# Gio ActionGroup::action-state-changed

since: 2.28

#### Declaration

    void
    action_state_changed (
      GActionGroup* self,
      gchar* action_name,
      GVariant* value,
      gpointer user_data
    )

#### Description [src]

Signals that the state of the named action has changed.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be detailed
Available since: 2.28

#### Parameters

`action_name`

  Type: `gchar*`

  The name of the action in `action_group`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `GVariant`

  The new value of the state.

  The data is owned by the caller of the function.